package com.qmth.teachcloud.common.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description:
 * @Author: CaoZixuan
 * @Date:
 */
public class TeachCourseSelectResult {
    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "基础课程id")
    private Long basicCourseId;

    @ApiModelProperty(value = "课程名称")
    private String courseName;

    @ApiModelProperty(value = "课程编号")
    private String courseCode;

    @ApiModelProperty(value = "开课学院名称")
    private String teachCollegeName;

    public Long getBasicCourseId() {
        return basicCourseId;
    }

    public void setBasicCourseId(Long basicCourseId) {
        this.basicCourseId = basicCourseId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getTeachCollegeName() {
        return teachCollegeName;
    }

    public void setTeachCollegeName(String teachCollegeName) {
        this.teachCollegeName = teachCollegeName;
    }
}
